Subject: bug#77980: closed (Re: bug#77980: "aab89b3d ... services: pounce: New service." broke guix pull)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 22 Apr 2025 14:24:02 +0000

Your bug report

#77980: "aab89b3d ... services: pounce: New service." broke guix pull

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
77980: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=77980
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#77980: "aab89b3d ... services: pounce: New service." broke guix pull
From: Maxim Cournoyer <[email-masked]>
To: Vagrant Cascadian <[email-masked]>
Cc: [email-masked], Ludovic Courtès <[email-masked]>
Date: Tue, 22 Apr 2025 23:22:59 +0900
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Vagrant, Ludovic,

Vagrant Cascadian <[email-masked]> writes:

> Not sure why, but this seems to have broken "guix pull" ... for at least
> one other person, too!
>
> commit aab89b3d934b8b17956d9402d35586c944bddd78
> Author: Maxim Cournoyer <[email-masked]>
> Date:   Thu Mar 27 23:25:16 2025 +0900
>
>     services: pounce: New service.
>
>     * gnu/services/messaging.scm (pounce-serialize-boolean):
>     (pounce-serialize-string, pounce-serialize-list-of-strings)
>     (pounce-serialize-pair, power-of-two?)
>     (pounce-serialize-number, pounce-serialize-power-of-two)
>     (pounce-serialize-port, pounce-serialize-maybe-boolean)
>     (pounce-serialize-maybe-number, pounce-serialize-maybe-pair)
>     (pounce-serialize-maybe-port, pounce-serialize-maybe-port
>     (pounce-maybe-power-of-two, pounce-serialize-maybe-string)
>     (pounce-serialize-maybe-list-of-strings): New procedures.
>     (pounce-configuration): New configuration.
>     (pounce-activation): New procedure.
>     (serialize-pounce-configuration, pounce-wrapper): Likewise.
>     (pounce-service-type): New service type.
>     * gnu/tests/messaging.scm (ngircd-tls-cert-service-type): New variable.
>     (%pounce-os): Likewise.
>     (run-pounce-test): New procedure.
>     (%test-pounce): New test.
>     * doc/guix.texi (Messaging Services): Document it.
>
>     Change-Id: I4bbd2bc4821072a93c2c4017b86df329c4b240cb
>     Reviewed-by: Ludovic Courtès <[email-masked]>

This was fixed in commit c6ee7b0f79632d50ad491b75c240547be8f40c31
earlier today.  Apparently 'specifications->packages' cannot be used in
an operating system definition lest building the guix-system-tests named
derivation fails mysteriously without an error message.

I haven't investigated the reason, I just inspected what was different
between the pounce test and the ngircd tests, which have otherwise
similar dependencies and structure.

Closing.

-- 
Thanks,
Maxim

Subject: "aab89b3d ... services: pounce: New service." broke guix pull
From: Vagrant Cascadian <[email-masked]>
To: [email-masked]
Cc: Ludovic Courtès <[email-masked]>, Maxim Cournoyer <[email-masked]>
Date: Mon, 21 Apr 2025 21:51:56 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Not sure why, but this seems to have broken "guix pull" ... for at least
one other person, too!

commit aab89b3d934b8b17956d9402d35586c944bddd78
Author: Maxim Cournoyer <[email-masked]>
Date:   Thu Mar 27 23:25:16 2025 +0900

    services: pounce: New service.

    * gnu/services/messaging.scm (pounce-serialize-boolean):
    (pounce-serialize-string, pounce-serialize-list-of-strings)
    (pounce-serialize-pair, power-of-two?)
    (pounce-serialize-number, pounce-serialize-power-of-two)
    (pounce-serialize-port, pounce-serialize-maybe-boolean)
    (pounce-serialize-maybe-number, pounce-serialize-maybe-pair)
    (pounce-serialize-maybe-port, pounce-serialize-maybe-port
    (pounce-maybe-power-of-two, pounce-serialize-maybe-string)
    (pounce-serialize-maybe-list-of-strings): New procedures.
    (pounce-configuration): New configuration.
    (pounce-activation): New procedure.
    (serialize-pounce-configuration, pounce-wrapper): Likewise.
    (pounce-service-type): New service type.
    * gnu/tests/messaging.scm (ngircd-tls-cert-service-type): New variable.
    (%pounce-os): Likewise.
    (run-pounce-test): New procedure.
    (%test-pounce): New test.
    * doc/guix.texi (Messaging Services): Document it.

    Change-Id: I4bbd2bc4821072a93c2c4017b86df329c4b240cb
    Reviewed-by: Ludovic Courtès <[email-masked]>

builder for `/gnu/store/idsrbbipfb9mlv85088ms7ainhzyqfkq-guix-system-tests.drv' failed with exit code 1
build of /gnu/store/idsrbbipfb9mlv85088ms7ainhzyqfkq-guix-system-tests.drv failed
View build log at '/var/log/guix/drvs/id/srbbipfb9mlv85088ms7ainhzyqfkq-guix-system-tests.drv.gz'.

The log is incredibly unenlightening:

zcat /var/log/guix/drvs/id/srbbipfb9mlv85088ms7ainhzyqfkq-guix-system-tests.drv.gz
[  9/ 50] loading.....   36.0% of 25 files⏎

I swear previous attempts had significantly more lines of similar but
still largely unhelpful information.

live well,
  vagrant